
Tripnet - Feature #94483
New Report - Agency Top Up REPORT - Tripnet
03/26/2020 09:42 am - Sreerag Prasannan

Status: Fixed not Tested Start date: 07/22/2020
Priority: Normal Due date: 07/23/2020
Assignee: Jomiya J % Done: 100%
Category: Functionality Estimated time: 12.00 hours
Target version: V1 Spent time: 15.50 hours
End_Date: 07/27/2020 Areas Affected: nill
remarks: nill Files Changed: B2Bweb/App_GlobalResources/CommonResources.ar.resx

B2Bweb/App_GlobalResources/CommonResources.Designer.cs

B2Bweb/App_GlobalResources/CommonResources.resx

B2Bweb/Areas/AdminWeb/Controllers/ExcelReportsController.cs

B2Bweb/Areas/AdminWeb/Controllers/ReportsController.cs

B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs

B2Bweb/Areas/AdminWeb/Views/Reports/AgencyTopupReport.cshtml

B2Bweb/Areas/AdminWeb/Views/Reports/AgencyTopupReportView.cshtml

CommonProjects/DataProvider/Reports/ReportsDA.cs

CommonProjects/TravelBusiness/ReportServices.cs


DB Changes: SP

****



1. GetAgencyTopupBookingData

Initial Planned Hours: 12
Keys & Permissions: nill
Description

Create a very simple report to monitor agent’s top-up amounts vs. bookings, sample attached. It can be per agency

fields needed are

1) From to Date

2) Agency name

3) Property - All or individual property

4) Print and Export to excel

History
#1 - 03/26/2020 09:42 am - Sreerag Prasannan
- Tracker changed from Bug to Feature

#2 - 07/21/2020 10:32 am - jijo g
- Due date set to 07/23/2020
- Status changed from New to Assigned
- Assignee set to Jomiya J
- Target version set to V1
- Start date changed from 03/26/2020 to 07/22/2020
- Estimated time set to 12.00
- Initial Planned Hours changed from 0 to 12

#3 - 07/22/2020 10:21 am - Jomiya J
- Status changed from Assigned to In Progress

#4 - 07/22/2020 06:42 pm - Jomiya J
- % Done changed from 0 to 40
- remarks set to nill
- DB Changes set to SP
****

1. GetAgencyTopupBookingData

- Keys & Permissions set to nill
- Areas Affected set to nill
- Files Changed set to B2Bweb/App_GlobalResources/CommonResources.ar.resx
B2Bweb/App_GlobalResources/CommonResources.Designer.cs
B2Bweb/App_GlobalResources/CommonResources.resx
B2Bweb/Areas/AdminWeb/Controllers/ExcelReportsController.cs
B2Bweb/Areas/AdminWeb/Controllers/ReportsController.cs
B2Bweb/Areas/AdminWeb/Controllers/ReportsJsonController.cs
B2Bweb/Areas/AdminWeb/Views/Reports/AgencyTopupReport.cshtml
B2Bweb/Areas/AdminWeb/Views/Reports/AgencyTopupReportView.cshtml
CommonProjects/DataProvider/Reports/ReportsDA.cs
CommonProjects/TravelBusiness/ReportServices.cs

agency topup report search page completed.. need to bring corresponding data to view page

#5 - 07/27/2020 09:44 am - Jomiya J
- Status changed from In Progress to Fixed not Tested
- % Done changed from 40 to 100
- End_Date set to 07/27/2020

updated in staging and nbk working fine in staging

Files
TopUp.xlsx 11.8 KB 03/26/2020 Sreerag Prasannan
